#include <bits/stdc++.h>

using namespace std;
int main(int argc, char** argv) {
	int n,x,y,brojpoteza=0;
	cin>>n;
	int vrste[n]={0};
	int kolone[n]={0};
	for(int i=0;i<n;i++){
		cin>>x>>y;
		vrste[x-1]++;
		kolone[y-1]++;
	}
	int j=0;
	for(int i=0;i<n;i++){
		if(kolone[i]==0){
			while(kolone[j]<=1){
				j++;
			}
			brojpoteza+=abs(i-j);
			kolone[i]++;
			kolone[j]--;
		}
	}
	for(int i=0;i<n;i++){
		if(vrste[i]==0){
			while(vrste[j]<=1){
				j++;
			}
			brojpoteza+=abs(i-1);
			vrste[i]++;
			vrste[j]--;
		}
	}
	cout<<brojpoteza;
}